[**@rxap/config**](../README.md)

***

[@rxap/config](../globals.md) / Leaves

# Type Alias: Leaves\<T, D\>

> **Leaves**\<`T`, `D`\>: \[`D`\] *extends* \[`never`\] ? `never` : `T` *extends* `object` ? `{ [K in keyof T]-?: Join<K, Leaves<T[K], Prev[D]>> }`\[keyof `T`\] : `""`

Defined in: [types.ts:20](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/types.ts#L20)

## Type Parameters

• **T**

• **D** *extends* `number` = `10`
